Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 08 Dec 2021 16:29:13 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Order #951165795  Refund of AED 112 via Postpay 
Order #9514168127 Refund amount of AED 145 to credit card

The items are already collected via Emirates Post courier. 
I called day before yesterday and I was told the warehouse has not updated the items as returned and the agent said she will raise a request.
Please don’t tell me the items are not picked up. I have been hearing when I was on chat too.

Please advise the refund of my money. 

I never had issues with online shopping and returns earlier. 
This time it has got so messy that next time I buy something online from Centrepoint I will think twice. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3498896